]> git.ozlabs.org Git - ponghero.git/blob - ccan/ccan_tools/libtap/config.status
Add web pages.
[ponghero.git] / ccan / ccan_tools / libtap / config.status
1 #! /bin/bash
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/bash}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be more Bourne compatible
16 DUALCASE=1; export DUALCASE # for MKS sh
17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18   emulate sh
19   NULLCMD=:
20   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21   # is contrary to our usage.  Disable this feature.
22   alias -g '${1+"$@"}'='"$@"'
23   setopt NO_GLOB_SUBST
24 else
25   case `(set -o) 2>/dev/null` in
26   *posix*) set -o posix ;;
27 esac
28
29 fi
30
31
32
33
34 # PATH needs CR
35 # Avoid depending upon Character Ranges.
36 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39 as_cr_digits='0123456789'
40 as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42 # The user is always right.
43 if test "${PATH_SEPARATOR+set}" != set; then
44   echo "#! /bin/sh" >conf$$.sh
45   echo  "exit 0"   >>conf$$.sh
46   chmod +x conf$$.sh
47   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48     PATH_SEPARATOR=';'
49   else
50     PATH_SEPARATOR=:
51   fi
52   rm -f conf$$.sh
53 fi
54
55 # Support unset when possible.
56 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57   as_unset=unset
58 else
59   as_unset=false
60 fi
61
62
63 # IFS
64 # We need space, tab and new line, in precisely that order.  Quoting is
65 # there to prevent editors from complaining about space-tab.
66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
67 # splitting by setting IFS to empty value.)
68 as_nl='
69 '
70 IFS=" ""        $as_nl"
71
72 # Find who we are.  Look in the path if we contain no directory separator.
73 case $0 in
74   *[\\/]* ) as_myself=$0 ;;
75   *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76 for as_dir in $PATH
77 do
78   IFS=$as_save_IFS
79   test -z "$as_dir" && as_dir=.
80   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81 done
82 IFS=$as_save_IFS
83
84      ;;
85 esac
86 # We did not find ourselves, most probably we were run as `sh COMMAND'
87 # in which case we are not to be found in the path.
88 if test "x$as_myself" = x; then
89   as_myself=$0
90 fi
91 if test ! -f "$as_myself"; then
92   echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93   { (exit 1); exit 1; }
94 fi
95
96 # Work around bugs in pre-3.0 UWIN ksh.
97 for as_var in ENV MAIL MAILPATH
98 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99 done
100 PS1='$ '
101 PS2='> '
102 PS4='+ '
103
104 # NLS nuisances.
105 for as_var in \
106   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108   LC_TELEPHONE LC_TIME
109 do
110   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111     eval $as_var=C; export $as_var
112   else
113     ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114   fi
115 done
116
117 # Required to use basename.
118 if expr a : '\(a\)' >/dev/null 2>&1 &&
119    test "X`expr 00001 : '.*\(...\)'`" = X001; then
120   as_expr=expr
121 else
122   as_expr=false
123 fi
124
125 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126   as_basename=basename
127 else
128   as_basename=false
129 fi
130
131
132 # Name of the executable.
133 as_me=`$as_basename -- "$0" ||
134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135          X"$0" : 'X\(//\)$' \| \
136          X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137 echo X/"$0" |
138     sed '/^.*\/\([^/][^/]*\)\/*$/{
139             s//\1/
140             q
141           }
142           /^X\/\(\/\/\)$/{
143             s//\1/
144             q
145           }
146           /^X\/\(\/\).*/{
147             s//\1/
148             q
149           }
150           s/.*/./; q'`
151
152 # CDPATH.
153 $as_unset CDPATH
154
155
156
157   as_lineno_1=$LINENO
158   as_lineno_2=$LINENO
159   test "x$as_lineno_1" != "x$as_lineno_2" &&
160   test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163   # uniformly replaced by the line number.  The first 'sed' inserts a
164   # line-number line after each line using $LINENO; the second 'sed'
165   # does the real work.  The second script uses 'N' to pair each
166   # line-number line with the line containing $LINENO, and appends
167   # trailing '-' during substitution so that $LINENO is not a special
168   # case at line end.
169   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170   # scripts with optimization help from Paolo Bonzini.  Blame Lee
171   # E. McMahon (1931-1989) for sed's syntax.  :-)
172   sed -n '
173     p
174     /[$]LINENO/=
175   ' <$as_myself |
176     sed '
177       s/[$]LINENO.*/&-/
178       t lineno
179       b
180       :lineno
181       N
182       :loop
183       s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184       t loop
185       s/-\n.*//
186     ' >$as_me.lineno &&
187   chmod +x "$as_me.lineno" ||
188     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189    { (exit 1); exit 1; }; }
190
191   # Don't try to exec as it changes $[0], causing all sort of problems
192   # (the dirname of $[0] is not the place where we might find the
193   # original and so on.  Autoconf is especially sensitive to this).
194   . "./$as_me.lineno"
195   # Exit status is that of the last command.
196   exit
197 }
198
199
200 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201   as_dirname=dirname
202 else
203   as_dirname=false
204 fi
205
206 ECHO_C= ECHO_N= ECHO_T=
207 case `echo -n x` in
208 -n*)
209   case `echo 'x\c'` in
210   *c*) ECHO_T=' ';;     # ECHO_T is single tab character.
211   *)   ECHO_C='\c';;
212   esac;;
213 *)
214   ECHO_N='-n';;
215 esac
216
217 if expr a : '\(a\)' >/dev/null 2>&1 &&
218    test "X`expr 00001 : '.*\(...\)'`" = X001; then
219   as_expr=expr
220 else
221   as_expr=false
222 fi
223
224 rm -f conf$$ conf$$.exe conf$$.file
225 if test -d conf$$.dir; then
226   rm -f conf$$.dir/conf$$.file
227 else
228   rm -f conf$$.dir
229   mkdir conf$$.dir
230 fi
231 echo >conf$$.file
232 if ln -s conf$$.file conf$$ 2>/dev/null; then
233   as_ln_s='ln -s'
234   # ... but there are two gotchas:
235   # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236   # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237   # In both cases, we have to default to `cp -p'.
238   ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239     as_ln_s='cp -p'
240 elif ln conf$$.file conf$$ 2>/dev/null; then
241   as_ln_s=ln
242 else
243   as_ln_s='cp -p'
244 fi
245 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246 rmdir conf$$.dir 2>/dev/null
247
248 if mkdir -p . 2>/dev/null; then
249   as_mkdir_p=:
250 else
251   test -d ./-p && rmdir ./-p
252   as_mkdir_p=false
253 fi
254
255 if test -x / >/dev/null 2>&1; then
256   as_test_x='test -x'
257 else
258   if ls -dL / >/dev/null 2>&1; then
259     as_ls_L_option=L
260   else
261     as_ls_L_option=
262   fi
263   as_test_x='
264     eval sh -c '\''
265       if test -d "$1"; then
266         test -d "$1/.";
267       else
268         case $1 in
269         -*)set "./$1";;
270         esac;
271         case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272         ???[sx]*):;;*)false;;esac;fi
273     '\'' sh
274   '
275 fi
276 as_executable_p=$as_test_x
277
278 # Sed expression to map a string onto a valid CPP name.
279 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281 # Sed expression to map a string onto a valid variable name.
282 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285 exec 6>&1
286
287 # Save the log message, to keep $[0] and so on meaningful, and to
288 # report actual input values of CONFIG_FILES etc. instead of their
289 # values after options handling.
290 ac_log="
291 This file was extended by tap $as_me 1.01, which was
292 generated by GNU Autoconf 2.61.  Invocation command line was
293
294   CONFIG_FILES    = $CONFIG_FILES
295   CONFIG_HEADERS  = $CONFIG_HEADERS
296   CONFIG_LINKS    = $CONFIG_LINKS
297   CONFIG_COMMANDS = $CONFIG_COMMANDS
298   $ $0 $@
299
300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
301 "
302
303 # Files that config.status was made for.
304 config_files=" Makefile src/Makefile tests/Makefile tests/diag/Makefile tests/fail/Makefile tests/ok/Makefile tests/ok/ok-hash/Makefile tests/ok/ok-numeric/Makefile tests/ok/ok/Makefile tests/pass/Makefile tests/plan/Makefile tests/plan/no-tests/Makefile tests/plan/no_plan/Makefile tests/plan/not-enough-tests/Makefile tests/plan/sane/Makefile tests/plan/skip_all/Makefile tests/plan/too-many-plans/Makefile tests/plan/too-many-tests/Makefile tests/skip/Makefile tests/todo/Makefile"
305 config_commands=" depfiles"
306
307 ac_cs_usage="\
308 \`$as_me' instantiates files from templates according to the
309 current configuration.
310
311 Usage: $0 [OPTIONS] [FILE]...
312
313   -h, --help       print this help, then exit
314   -V, --version    print version number and configuration settings, then exit
315   -q, --quiet      do not print progress messages
316   -d, --debug      don't remove temporary files
317       --recheck    update $as_me by reconfiguring in the same conditions
318   --file=FILE[:TEMPLATE]
319                    instantiate the configuration file FILE
320
321 Configuration files:
322 $config_files
323
324 Configuration commands:
325 $config_commands
326
327 Report bugs to <bug-autoconf@gnu.org>."
328
329 ac_cs_version="\
330 tap config.status 1.01
331 configured by ./configure, generated by GNU Autoconf 2.61,
332   with options \"\"
333
334 Copyright (C) 2006 Free Software Foundation, Inc.
335 This config.status script is free software; the Free Software Foundation
336 gives unlimited permission to copy, distribute and modify it."
337
338 ac_pwd='/home/rusty/devel/cvs/ccan/ccan_tools/libtap'
339 srcdir='.'
340 INSTALL='/usr/bin/install -c'
341 MKDIR_P='/bin/mkdir -p'
342 # If no file are specified by the user, then we need to provide default
343 # value.  By we need to know if files were specified by the user.
344 ac_need_defaults=:
345 while test $# != 0
346 do
347   case $1 in
348   --*=*)
349     ac_option=`expr "X$1" : 'X\([^=]*\)='`
350     ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
351     ac_shift=:
352     ;;
353   *)
354     ac_option=$1
355     ac_optarg=$2
356     ac_shift=shift
357     ;;
358   esac
359
360   case $ac_option in
361   # Handling of the options.
362   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
363     ac_cs_recheck=: ;;
364   --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
365     echo "$ac_cs_version"; exit ;;
366   --debug | --debu | --deb | --de | --d | -d )
367     debug=: ;;
368   --file | --fil | --fi | --f )
369     $ac_shift
370     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
371     ac_need_defaults=false;;
372   --he | --h |  --help | --hel | -h )
373     echo "$ac_cs_usage"; exit ;;
374   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
375   | -silent | --silent | --silen | --sile | --sil | --si | --s)
376     ac_cs_silent=: ;;
377
378   # This is an error.
379   -*) { echo "$as_me: error: unrecognized option: $1
380 Try \`$0 --help' for more information." >&2
381    { (exit 1); exit 1; }; } ;;
382
383   *) ac_config_targets="$ac_config_targets $1"
384      ac_need_defaults=false ;;
385
386   esac
387   shift
388 done
389
390 ac_configure_extra_args=
391
392 if $ac_cs_silent; then
393   exec 6>/dev/null
394   ac_configure_extra_args="$ac_configure_extra_args --silent"
395 fi
396
397 if $ac_cs_recheck; then
398   echo "running CONFIG_SHELL=/bin/bash /bin/bash ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
399   CONFIG_SHELL=/bin/bash
400   export CONFIG_SHELL
401   exec /bin/bash "./configure" $ac_configure_extra_args --no-create --no-recursion
402 fi
403
404 exec 5>>config.log
405 {
406   echo
407   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
408 ## Running $as_me. ##
409 _ASBOX
410   echo "$ac_log"
411 } >&5
412
413 #
414 # INIT-COMMANDS
415 #
416 AMDEP_TRUE="" ac_aux_dir="."
417
418
419 # Handling of arguments.
420 for ac_config_target in $ac_config_targets
421 do
422   case $ac_config_target in
423     "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
424     "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
425     "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
426     "tests/Makefile") CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
427     "tests/diag/Makefile") CONFIG_FILES="$CONFIG_FILES tests/diag/Makefile" ;;
428     "tests/fail/Makefile") CONFIG_FILES="$CONFIG_FILES tests/fail/Makefile" ;;
429     "tests/ok/Makefile") CONFIG_FILES="$CONFIG_FILES tests/ok/Makefile" ;;
430     "tests/ok/ok-hash/Makefile") CONFIG_FILES="$CONFIG_FILES tests/ok/ok-hash/Makefile" ;;
431     "tests/ok/ok-numeric/Makefile") CONFIG_FILES="$CONFIG_FILES tests/ok/ok-numeric/Makefile" ;;
432     "tests/ok/ok/Makefile") CONFIG_FILES="$CONFIG_FILES tests/ok/ok/Makefile" ;;
433     "tests/pass/Makefile") CONFIG_FILES="$CONFIG_FILES tests/pass/Makefile" ;;
434     "tests/plan/Makefile") CONFIG_FILES="$CONFIG_FILES tests/plan/Makefile" ;;
435     "tests/plan/no-tests/Makefile") CONFIG_FILES="$CONFIG_FILES tests/plan/no-tests/Makefile" ;;
436     "tests/plan/no_plan/Makefile") CONFIG_FILES="$CONFIG_FILES tests/plan/no_plan/Makefile" ;;
437     "tests/plan/not-enough-tests/Makefile") CONFIG_FILES="$CONFIG_FILES tests/plan/not-enough-tests/Makefile" ;;
438     "tests/plan/sane/Makefile") CONFIG_FILES="$CONFIG_FILES tests/plan/sane/Makefile" ;;
439     "tests/plan/skip_all/Makefile") CONFIG_FILES="$CONFIG_FILES tests/plan/skip_all/Makefile" ;;
440     "tests/plan/too-many-plans/Makefile") CONFIG_FILES="$CONFIG_FILES tests/plan/too-many-plans/Makefile" ;;
441     "tests/plan/too-many-tests/Makefile") CONFIG_FILES="$CONFIG_FILES tests/plan/too-many-tests/Makefile" ;;
442     "tests/skip/Makefile") CONFIG_FILES="$CONFIG_FILES tests/skip/Makefile" ;;
443     "tests/todo/Makefile") CONFIG_FILES="$CONFIG_FILES tests/todo/Makefile" ;;
444
445   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
446 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
447    { (exit 1); exit 1; }; };;
448   esac
449 done
450
451
452 # If the user did not use the arguments to specify the items to instantiate,
453 # then the envvar interface is used.  Set only those that are not.
454 # We use the long form for the default assignment because of an extremely
455 # bizarre bug on SunOS 4.1.3.
456 if $ac_need_defaults; then
457   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
458   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
459 fi
460
461 # Have a temporary directory for convenience.  Make it in the build tree
462 # simply because there is no reason against having it here, and in addition,
463 # creating and moving files from /tmp can sometimes cause problems.
464 # Hook for its removal unless debugging.
465 # Note that there is a small window in which the directory will not be cleaned:
466 # after its creation but before its name has been assigned to `$tmp'.
467 $debug ||
468 {
469   tmp=
470   trap 'exit_status=$?
471   { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
472 ' 0
473   trap '{ (exit 1); exit 1; }' 1 2 13 15
474 }
475 # Create a (secure) tmp directory for tmp files.
476
477 {
478   tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
479   test -n "$tmp" && test -d "$tmp"
480 }  ||
481 {
482   tmp=./conf$$-$RANDOM
483   (umask 077 && mkdir "$tmp")
484 } ||
485 {
486    echo "$me: cannot create a temporary directory in ." >&2
487    { (exit 1); exit 1; }
488 }
489
490 #
491 # Set up the sed scripts for CONFIG_FILES section.
492 #
493
494 # No need to generate the scripts if there are no CONFIG_FILES.
495 # This happens for instance when ./config.status config.h
496 if test -n "$CONFIG_FILES"; then
497
498 cat >"$tmp/subs-1.sed" <<\CEOF
499 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
500 s,@SHELL@,|#_!!_#|/bin/bash,g
501 s,@PATH_SEPARATOR@,|#_!!_#|:,g
502 s,@PACKAGE_NAME@,|#_!!_#|tap,g
503 s,@PACKAGE_TARNAME@,|#_!!_#|tap,g
504 s,@PACKAGE_VERSION@,|#_!!_#|1.01,g
505 s,@PACKAGE_STRING@,|#_!!_#|tap 1.01,g
506 s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
507 s,@exec_prefix@,|#_!!_#|${prefix},g
508 s,@prefix@,|#_!!_#|/usr/local,g
509 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
510 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
511 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
512 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
513 s,@datarootdir@,|#_!!_#|${prefix}/share,g
514 s,@datadir@,|#_!!_#|${datarootdir},g
515 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
516 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
517 s,@localstatedir@,|#_!!_#|${prefix}/var,g
518 s,@includedir@,|#_!!_#|${prefix}/include,g
519 s,@oldincludedir@,|#_!!_#|/usr/include,g
520 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
521 s,@infodir@,|#_!!_#|${datarootdir}/info,g
522 s,@htmldir@,|#_!!_#|${docdir},g
523 s,@dvidir@,|#_!!_#|${docdir},g
524 s,@pdfdir@,|#_!!_#|${docdir},g
525 s,@psdir@,|#_!!_#|${docdir},g
526 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
527 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
528 s,@mandir@,|#_!!_#|${datarootdir}/man,g
529 s,@DEFS@,|#_!!_#|-DPACKAGE_NAME=\\"tap\\" -DPACKAGE_TARNAME=\\"tap\\" -DPACKAGE_VERSION=\\"1.01\\" -DPACKAGE_STRING=\\"tap\\ 1.01\\" -DPACKAGE_BUGREPORT=\\"\\" -DPACKAGE=\\"tap\\" -DVERSION=\\"1.01\\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_LIBPTHREAD=1 -DSTDC_HEADERS=1 -DHAVE_STDLIB_H=1 -DHAVE_PTHREAD_H=1 -DHAVE_VPRINTF=1 -DHAVE_ATEXIT=1,g
530 s,@ECHO_C@,|#_!!_#|,g
531 s,@ECHO_N@,|#_!!_#|-n,g
532 s,@ECHO_T@,|#_!!_#|,g
533 s,@LIBS@,|#_!!_#|-lpthread ,g
534 s,@build_alias@,|#_!!_#|,g
535 s,@host_alias@,|#_!!_#|,g
536 s,@target_alias@,|#_!!_#|,g
537 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
538 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
539 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
540 s,@am__isrc@,|#_!!_#|,g
541 s,@CYGPATH_W@,|#_!!_#|echo,g
542 s,@PACKAGE@,|#_!!_#|tap,g
543 s,@VERSION@,|#_!!_#|1.01,g
544 s,@ACLOCAL@,|#_!!_#|${SHELL} /home/rusty/devel/cvs/ccan/ccan_tools/libtap/missing --run aclocal-1.10,g
545 s,@AUTOCONF@,|#_!!_#|${SHELL} /home/rusty/devel/cvs/ccan/ccan_tools/libtap/missing --run autoconf,g
546 s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/rusty/devel/cvs/ccan/ccan_tools/libtap/missing --run automake-1.10,g
547 s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/rusty/devel/cvs/ccan/ccan_tools/libtap/missing --run autoheader,g
548 s,@MAKEINFO@,|#_!!_#|${SHELL} /home/rusty/devel/cvs/ccan/ccan_tools/libtap/missing --run makeinfo,g
549 s,@install_sh@,|#_!!_#|$(SHELL) /home/rusty/devel/cvs/ccan/ccan_tools/libtap/install-sh,g
550 s,@STRIP@,|#_!!_#|strip,g
551 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
552 s,@mkdir_p@,|#_!!_#|/bin/mkdir -p,g
553 s,@AWK@,|#_!!_#|gawk,g
554 s,@SET_MAKE@,|#_!!_#|,g
555 s,@am__leading_dot@,|#_!!_#|.,g
556 s,@AMTAR@,|#_!!_#|${SHELL} /home/rusty/devel/cvs/ccan/ccan_tools/libtap/missing --run tar,g
557 s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
558 s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
559 s,@CC@,|#_!!_#|gcc,g
560 s,@CFLAGS@,|#_!!_#|-g -O2,g
561 s,@LDFLAGS@,|#_!!_#|,g
562 s,@CPPFLAGS@,|#_!!_#|,g
563 s,@ac_ct_CC@,|#_!!_#|gcc,g
564 s,@EXEEXT@,|#_!!_#|,g
565 s,@OBJEXT@,|#_!!_#|o,g
566 s,@DEPDIR@,|#_!!_#|.deps,g
567 s,@am__include@,|#_!!_#|include,g
568 s,@am__quote@,|#_!!_#|,g
569 s,@AMDEP_TRUE@,|#_!!_#|,g
570 s,@AMDEP_FALSE@,|#_!!_#|#,g
571 s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
572 s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
573 s,@am__fastdepCC_TRUE@,|#_!!_#|,g
574 s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
575 s,@build@,|#_!!_#|i686-pc-linux-gnu,g
576 s,@build_cpu@,|#_!!_#|i686,g
577 s,@build_vendor@,|#_!!_#|pc,g
578 s,@build_os@,|#_!!_#|linux-gnu,g
579 s,@host@,|#_!!_#|i686-pc-linux-gnu,g
580 s,@host_cpu@,|#_!!_#|i686,g
581 s,@host_vendor@,|#_!!_#|pc,g
582 s,@host_os@,|#_!!_#|linux-gnu,g
583 s,@SED@,|#_!!_#|/bin/sed,g
584 s,@GREP@,|#_!!_#|/bin/grep,g
585 s,@EGREP@,|#_!!_#|/bin/grep -E,g
586 s,@LN_S@,|#_!!_#|ln -s,g
587 s,@ECHO@,|#_!!_#|echo,g
588 s,@AR@,|#_!!_#|ar,g
589 s,@RANLIB@,|#_!!_#|ranlib,g
590 s,@CPP@,|#_!!_#|gcc -E,g
591 s,@CXX@,|#_!!_#|g++,g
592 s,@CXXFLAGS@,|#_!!_#|-g -O2,g
593 s,@ac_ct_CXX@,|#_!!_#|g++,g
594 s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
595 s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
596 s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
597 CEOF
598 cat >"$tmp/subs-2.sed" <<\CEOF
599 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
600 s,@CXXCPP@,|#_!!_#|g++ -E,g
601 s,@F77@,|#_!!_#|,g
602 s,@FFLAGS@,|#_!!_#|,g
603 s,@ac_ct_F77@,|#_!!_#|,g
604 s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
605 s,@LIBOBJS@,|#_!!_#|,g
606 s,@LTLIBOBJS@,|#_!!_#|,g
607 :end
608 s/|#_!!_#|//g
609 CEOF
610 fi # test -n "$CONFIG_FILES"
611
612
613 for ac_tag in  :F $CONFIG_FILES      :C $CONFIG_COMMANDS
614 do
615   case $ac_tag in
616   :[FHLC]) ac_mode=$ac_tag; continue;;
617   esac
618   case $ac_mode$ac_tag in
619   :[FHL]*:*);;
620   :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
621 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
622    { (exit 1); exit 1; }; };;
623   :[FH]-) ac_tag=-:-;;
624   :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
625   esac
626   ac_save_IFS=$IFS
627   IFS=:
628   set x $ac_tag
629   IFS=$ac_save_IFS
630   shift
631   ac_file=$1
632   shift
633
634   case $ac_mode in
635   :L) ac_source=$1;;
636   :[FH])
637     ac_file_inputs=
638     for ac_f
639     do
640       case $ac_f in
641       -) ac_f="$tmp/stdin";;
642       *) # Look for the file first in the build tree, then in the source tree
643          # (if the path is not absolute).  The absolute path cannot be DOS-style,
644          # because $ac_f cannot contain `:'.
645          test -f "$ac_f" ||
646            case $ac_f in
647            [\\/$]*) false;;
648            *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
649            esac ||
650            { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
651 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
652    { (exit 1); exit 1; }; };;
653       esac
654       ac_file_inputs="$ac_file_inputs $ac_f"
655     done
656
657     # Let's still pretend it is `configure' which instantiates (i.e., don't
658     # use $as_me), people would be surprised to read:
659     #    /* config.h.  Generated by config.status.  */
660     configure_input="Generated from "`IFS=:
661           echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
662     if test x"$ac_file" != x-; then
663       configure_input="$ac_file.  $configure_input"
664       { echo "$as_me:$LINENO: creating $ac_file" >&5
665 echo "$as_me: creating $ac_file" >&6;}
666     fi
667
668     case $ac_tag in
669     *:-:* | *:-) cat >"$tmp/stdin";;
670     esac
671     ;;
672   esac
673
674   ac_dir=`$as_dirname -- "$ac_file" ||
675 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
676          X"$ac_file" : 'X\(//\)[^/]' \| \
677          X"$ac_file" : 'X\(//\)$' \| \
678          X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
679 echo X"$ac_file" |
680     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
681             s//\1/
682             q
683           }
684           /^X\(\/\/\)[^/].*/{
685             s//\1/
686             q
687           }
688           /^X\(\/\/\)$/{
689             s//\1/
690             q
691           }
692           /^X\(\/\).*/{
693             s//\1/
694             q
695           }
696           s/.*/./; q'`
697   { as_dir="$ac_dir"
698   case $as_dir in #(
699   -*) as_dir=./$as_dir;;
700   esac
701   test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
702     as_dirs=
703     while :; do
704       case $as_dir in #(
705       *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
706       *) as_qdir=$as_dir;;
707       esac
708       as_dirs="'$as_qdir' $as_dirs"
709       as_dir=`$as_dirname -- "$as_dir" ||
710 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
711          X"$as_dir" : 'X\(//\)[^/]' \| \
712          X"$as_dir" : 'X\(//\)$' \| \
713          X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
714 echo X"$as_dir" |
715     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
716             s//\1/
717             q
718           }
719           /^X\(\/\/\)[^/].*/{
720             s//\1/
721             q
722           }
723           /^X\(\/\/\)$/{
724             s//\1/
725             q
726           }
727           /^X\(\/\).*/{
728             s//\1/
729             q
730           }
731           s/.*/./; q'`
732       test -d "$as_dir" && break
733     done
734     test -z "$as_dirs" || eval "mkdir $as_dirs"
735   } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
736 echo "$as_me: error: cannot create directory $as_dir" >&2;}
737    { (exit 1); exit 1; }; }; }
738   ac_builddir=.
739
740 case "$ac_dir" in
741 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
742 *)
743   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
744   # A ".." for each directory in $ac_dir_suffix.
745   ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
746   case $ac_top_builddir_sub in
747   "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
748   *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
749   esac ;;
750 esac
751 ac_abs_top_builddir=$ac_pwd
752 ac_abs_builddir=$ac_pwd$ac_dir_suffix
753 # for backward compatibility:
754 ac_top_builddir=$ac_top_build_prefix
755
756 case $srcdir in
757   .)  # We are building in place.
758     ac_srcdir=.
759     ac_top_srcdir=$ac_top_builddir_sub
760     ac_abs_top_srcdir=$ac_pwd ;;
761   [\\/]* | ?:[\\/]* )  # Absolute name.
762     ac_srcdir=$srcdir$ac_dir_suffix;
763     ac_top_srcdir=$srcdir
764     ac_abs_top_srcdir=$srcdir ;;
765   *) # Relative name.
766     ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
767     ac_top_srcdir=$ac_top_build_prefix$srcdir
768     ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
769 esac
770 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
771
772
773   case $ac_mode in
774   :F)
775   #
776   # CONFIG_FILE
777   #
778
779   case $INSTALL in
780   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
781   *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
782   esac
783   ac_MKDIR_P=$MKDIR_P
784   case $MKDIR_P in
785   [\\/$]* | ?:[\\/]* ) ;;
786   */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
787   esac
788 # If the template does not know about datarootdir, expand it.
789 # FIXME: This hack should be removed a few years after 2.60.
790 ac_datarootdir_hack=; ac_datarootdir_seen=
791
792 case `sed -n '/datarootdir/ {
793   p
794   q
795 }
796 /@datadir@/p
797 /@docdir@/p
798 /@infodir@/p
799 /@localedir@/p
800 /@mandir@/p
801 ' $ac_file_inputs` in
802 *datarootdir*) ac_datarootdir_seen=yes;;
803 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
804   { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
805 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
806   ac_datarootdir_hack='
807   s&@datadir@&${datarootdir}&g
808   s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
809   s&@infodir@&${datarootdir}/info&g
810   s&@localedir@&${datarootdir}/locale&g
811   s&@mandir@&${datarootdir}/man&g
812     s&\${datarootdir}&${prefix}/share&g' ;;
813 esac
814   sed "/^[       ]*VPATH[        ]*=/{
815 s/:*\$(srcdir):*/:/
816 s/:*\${srcdir}:*/:/
817 s/:*@srcdir@:*/:/
818 s/^\([^=]*=[     ]*\):*/\1/
819 s/:*$//
820 s/^[^=]*=[       ]*$//
821 }
822
823 :t
824 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
825 s&@configure_input@&$configure_input&;t t
826 s&@top_builddir@&$ac_top_builddir_sub&;t t
827 s&@srcdir@&$ac_srcdir&;t t
828 s&@abs_srcdir@&$ac_abs_srcdir&;t t
829 s&@top_srcdir@&$ac_top_srcdir&;t t
830 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
831 s&@builddir@&$ac_builddir&;t t
832 s&@abs_builddir@&$ac_abs_builddir&;t t
833 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
834 s&@INSTALL@&$ac_INSTALL&;t t
835 s&@MKDIR_P@&$ac_MKDIR_P&;t t
836 $ac_datarootdir_hack
837 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
838
839 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
840   { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
841   { ac_out=`sed -n '/^[  ]*datarootdir[  ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
842   { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
843 which seems to be undefined.  Please make sure it is defined." >&5
844 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
845 which seems to be undefined.  Please make sure it is defined." >&2;}
846
847   rm -f "$tmp/stdin"
848   case $ac_file in
849   -) cat "$tmp/out"; rm -f "$tmp/out";;
850   *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
851   esac
852  ;;
853
854
855   :C)  { echo "$as_me:$LINENO: executing $ac_file commands" >&5
856 echo "$as_me: executing $ac_file commands" >&6;}
857  ;;
858   esac
859
860
861   case $ac_file$ac_mode in
862     "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
863   # Strip MF so we end up with the name of the file.
864   mf=`echo "$mf" | sed -e 's/:.*$//'`
865   # Check whether this is an Automake generated Makefile or not.
866   # We used to match only the files named `Makefile.in', but
867   # some people rename them; so instead we look at the file content.
868   # Grep'ing the first line is not enough: some people post-process
869   # each Makefile.in and add a new line on top of each file to say so.
870   # Grep'ing the whole file is not good either: AIX grep has a line
871   # limit of 2048, but all sed's we know have understand at least 4000.
872   if sed 10q "$mf" | grep '^#.*generated by automake' > /dev/null 2>&1; then
873     dirpart=`$as_dirname -- "$mf" ||
874 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
875          X"$mf" : 'X\(//\)[^/]' \| \
876          X"$mf" : 'X\(//\)$' \| \
877          X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
878 echo X"$mf" |
879     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
880             s//\1/
881             q
882           }
883           /^X\(\/\/\)[^/].*/{
884             s//\1/
885             q
886           }
887           /^X\(\/\/\)$/{
888             s//\1/
889             q
890           }
891           /^X\(\/\).*/{
892             s//\1/
893             q
894           }
895           s/.*/./; q'`
896   else
897     continue
898   fi
899   # Extract the definition of DEPDIR, am__include, and am__quote
900   # from the Makefile without running `make'.
901   DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
902   test -z "$DEPDIR" && continue
903   am__include=`sed -n 's/^am__include = //p' < "$mf"`
904   test -z "am__include" && continue
905   am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
906   # When using ansi2knr, U may be empty or an underscore; expand it
907   U=`sed -n 's/^U = //p' < "$mf"`
908   # Find all dependency output files, they are included files with
909   # $(DEPDIR) in their names.  We invoke sed twice because it is the
910   # simplest approach to changing $(DEPDIR) to its actual value in the
911   # expansion.
912   for file in `sed -n "
913     s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
914        sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
915     # Make sure the directory exists.
916     test -f "$dirpart/$file" && continue
917     fdir=`$as_dirname -- "$file" ||
918 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
919          X"$file" : 'X\(//\)[^/]' \| \
920          X"$file" : 'X\(//\)$' \| \
921          X"$file" : 'X\(/\)' \| . 2>/dev/null ||
922 echo X"$file" |
923     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
924             s//\1/
925             q
926           }
927           /^X\(\/\/\)[^/].*/{
928             s//\1/
929             q
930           }
931           /^X\(\/\/\)$/{
932             s//\1/
933             q
934           }
935           /^X\(\/\).*/{
936             s//\1/
937             q
938           }
939           s/.*/./; q'`
940     { as_dir=$dirpart/$fdir
941   case $as_dir in #(
942   -*) as_dir=./$as_dir;;
943   esac
944   test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
945     as_dirs=
946     while :; do
947       case $as_dir in #(
948       *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
949       *) as_qdir=$as_dir;;
950       esac
951       as_dirs="'$as_qdir' $as_dirs"
952       as_dir=`$as_dirname -- "$as_dir" ||
953 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
954          X"$as_dir" : 'X\(//\)[^/]' \| \
955          X"$as_dir" : 'X\(//\)$' \| \
956          X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
957 echo X"$as_dir" |
958     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
959             s//\1/
960             q
961           }
962           /^X\(\/\/\)[^/].*/{
963             s//\1/
964             q
965           }
966           /^X\(\/\/\)$/{
967             s//\1/
968             q
969           }
970           /^X\(\/\).*/{
971             s//\1/
972             q
973           }
974           s/.*/./; q'`
975       test -d "$as_dir" && break
976     done
977     test -z "$as_dirs" || eval "mkdir $as_dirs"
978   } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
979 echo "$as_me: error: cannot create directory $as_dir" >&2;}
980    { (exit 1); exit 1; }; }; }
981     # echo "creating $dirpart/$file"
982     echo '# dummy' > "$dirpart/$file"
983   done
984 done
985  ;;
986
987   esac
988 done # for ac_tag
989
990
991 { (exit 0); exit 0; }